[rust-split] remove unneeded scripts from tools/ #2171

- rm -r `tools/function-summary/`
- rm `tools/rustdoc-update-gh-pages.sh`
- rm `tools/blame-nick.sh`
- remove actions related to the rust bindings from `release.sh`.
pull/2173/head
joseLuís 3 years ago
parent b5a72b50ed
commit 4060368c23

@ -1,11 +0,0 @@
#!/usr/bin/env bash
#
# handy script that shows the last changes made by Nick in the rust bindings
RUST_DIR="$(git rev-parse --show-toplevel)/rust"
# …in /src & /examples
for file in $(find "$RUST_DIR/src/" "$RUST_DIR/examples" -name '*.rs'); do
git blame -fn $file 2>&1 | grep "(nick black" | grep -v "no such path";
done

@ -1,41 +0,0 @@
PENDING changes
## from changes-20210321-20210406.txt
- all tabbed & tab widget functions
## from changes-20210406-20210410.txt
missing methods:
- [ ] ncdirect_stream
## from changes-20120518-20210603.txt
missing methods:
- [ ] nccell_width
- [ ] ncdirect_styles (method)
- [ ] ncdirect_supported_styles (method)
- [ ] ncplane_erase_region
- [ ] notcurses_cursor_yx
## from changes-20210603-20210704.txt …
missing imports & methods:
- [ ] ncpile_render_to_buffer
- [ ] ncpile_render_to_file
- [ ] nccells_ascii_box
- [ ] nccells_heavy_box
- [ ] nccells_light_box
## from changes-20210731-20210826.txt
- [ ] notcurses_hostname
- [ ] notcurses_accountname
- [ ] notcurses_enter_alternate_screen
- [ ] notcurses_leave_alternate_screen
- [ ] notcurses_get
- [ ] ncdirect_get
- [ ] ncvisual_subtitle_plane
- [ ] ncvisual_from_palidx
- [ ] ncplane_scrollup
- [ ] ncplane_scrollup_child
- [ ] ncplane_cursor_move_rel
- [ ] ncplane_boundlist /// Gets the head of the list of planes bound to 'n'.

@ -1,65 +0,0 @@
#/usr/bin/env bash
#
# compares the changes betwee two output folders
PATH1=$1
PATH2=$2
if [[ -z $PATH1 ]]; then
echo "It's necessary to provide two paths to compare. 0 paths provided"
exit 1
fi
if [[ ! -d $PATH1 ]]; then
echo "The first path doesn't exist."
exit 1
fi
if [[ -z $PATH2 ]]; then
echo "It's necessary to provide two paths to compare. Only 1 path provided."
exit 1
fi
if [[ ! -d $PATH2 ]]; then
echo "The second path doesn't exist."
exit 1
fi
# this line is to activate diff syntax highlighting
echo -e "0d0\n"
echo -e "Differences between files:\n=========================="
#DIFFLIST=$(diff -qr "$PATH1" "$PATH2" | grep ^Files | cut -d' ' -f 2,4)
DIFFLIST=$(diff -qr "$PATH1" "$PATH2" | grep ^Files | cut -d' ' -f 2,4 | grep -v STATS)
echo "$DIFFLIST"
echo -e "\nbroken down:\n============"
OLDIFS=$IFS
IFS=$'\n'
for d in $DIFFLIST; do
d1=$(echo $d | cut -d' ' -f1)
d2=$(echo $d | cut -d' ' -f2)
echo -e "\ndiff $d1 $d2:"
diff $d1 $d2
done
echo -e "\nOnly in one path:\n================="
UNIQUELIST=$(diff -qr "$PATH1" "$PATH2" | grep ^Only)
echo "$UNIQUELIST"
echo -e "\ndisplay contents:\n================="
for u in $UNIQUELIST; do
u1=$(echo $u | cut -d' ' -f3| tr ':' '/' )
u2=$(echo $u | cut -d' ' -f4)
path="${u1}${u2}"
echo -e "\ncat $path:\n-------------------"
cat $path
done
IFS=$OLDIFS

@ -1,156 +0,0 @@
#/usr/bin/env bash
#
# This script generates lists of functions generated by bindgen, on one side,
# and static inline functions in notcurses.h on the other, grouped by prefix.
# It also generates some statistics.
#
# It would be nice if this script could check for changes in the body of
# filtered functions, by asking git... between the date of today and a custom
# past date you want to check out (modified file in the bindings).
#
# I should probably re-do this in Rust, and put it as an advanced example…
# TODO:enhancement: support multiple paths
PATH_SOURCE_FILE="../../include/notcurses/notcurses.h"
# this is the path to the latest bindgen generated rust sources
# TODO: retrieve it automatically, from the target folder, the most recently created/updated)
if [[ -z $1 ]]; then
echo "Error: first argument must be the bindgen generated file."
exit 1
fi
if [[ ! -f $1 ]]; then
echo "Error: file '$1' doesn't exist."
exit 2
fi
if [[ ! $(head -1 "$1" | grep "automatically generated by rust-bindgen") ]]; then
echo "Error: file '$1' is not a valid bindgen generated file."
exit 3
fi
PATH_BINDGEN_LATEST="$1"
CMD=$2
# these are the main function prefixes used in notcurses (before the first `_`) for STATS_FILE
# NOTE: updated manually
PREFIX_LIST="cell channel ncblit ncdirect ncdplot ncfadectx ncfdplane nckey ncmenu ncmetric ncmultiselector ncpile ncpixel ncplane ncprogbar ncreader ncreel ncselector ncsubproc nctab nctree ncuplot ncvisual notcurses palette"
OUTPUT_DIR="out-$(date +%Y%m%d)"
OUTPUT_DIR_BG="$OUTPUT_DIR/bindgen" # (bindgen generated)
OUTPUT_DIR_SI="$OUTPUT_DIR/static" # (static inline)
STATS_FILE="$OUTPUT_DIR/STATS"
TERM="static inline"
GREP="/bin/grep"
CUT="/usr/bin/cut"
SED="/bin/sed"
WC="/usr/bin/wc"
UNIQ="/usr/bin/uniq"
REV="/usr/bin/rev"
SORT="/usr/bin/sort"
# show the list of functions that are static inline
listfn() {
"$GREP" "$TERM" "$PATH_SOURCE_FILE" -A 1 | $GREP -v -- "--" | $SED /^static.*/d | $CUT -d '(' -f1
}
listfn_bindgen() {
"$GREP" "pub fn" "$PATH_BINDGEN_LATEST" | $CUT -d'(' -f1 | $REV | $CUT -d' ' -f1 | $REV
}
# show the number of different prefixes there are
listprefixes() {
listfn | $CUT -d'_' -f1 | $SORT | $UNIQ
}
listprefixes_bindgen() {
listfn_bindgen | $CUT -d'_' -f1 | $GREP -v '^$' | $SORT | $UNIQ
}
generate() {
mkdir -p "$OUTPUT_DIR_BG"
mkdir -p "$OUTPUT_DIR_SI"
echo "GENERAL" | tee $STATS_FILE
echo "-------"| tee -a $STATS_FILE
echo -n "bindgen generated functions (bg): " | tee -a $STATS_FILE
listfn_bindgen | $WC -l | tee -a $STATS_FILE
echo -n "static inline functions (si): " | tee -a $STATS_FILE
listfn | $WC -l | tee -a $STATS_FILE
echo | tee -a $STATS_FILE
echo "grouped by the following prefixes:" | tee -a $STATS_FILE
echo $PREFIX_LIST | tee -a $STATS_FILE
echo "--------------------------" | tee -a $STATS_FILE
echo -e " (bg, si)\n" | tee -a $STATS_FILE
for prefix in $PREFIX_LIST; do
printf "%.12s" "$prefix: " | tee -a $STATS_FILE
echo -en "(" | tee -a $STATS_FILE
listfn_bindgen | $GREP "^$prefix" | $UNIQ -u | $WC -l | tr -d '\n' | tee -a $STATS_FILE
echo -en ", " | tee -a $STATS_FILE
listfn | $GREP "^$prefix" | $UNIQ -u | $WC -l | tr -d '\n' | tee -a $STATS_FILE
echo ")" | tee -a $STATS_FILE
# create the files
listfn_bindgen | $GREP "^$prefix" | $UNIQ -u | $SORT > "$OUTPUT_DIR_BG/$prefix" | tee -a $STATS_FILE
listfn | $GREP "^$prefix" | $UNIQ -u | $SORT > "$OUTPUT_DIR_SI/$prefix" | tee -a $STATS_FILE
filterout="$filterout^$prefix|"
done
# DEBUG: show filtered out
filterout="${filterout::-1}"
#echo -e "$filterout" # DEBUG
# show/save the rest not prefixed
echo -en "\nrest of the functions (bg/si):" | tee -a $STATS_FILE
echo -en "(" | tee -a $STATS_FILE
listfn | $GREP -vE "$filterout" | $WC -l | tr -d '\n' | tee -a $STATS_FILE
echo -en ", " | tee -a $STATS_FILE
listfn_bindgen | $GREP -vE "$filterout" | $WC -l | tr -d '\n' | tee -a $STATS_FILE
echo ")" | tee -a $STATS_FILE
listfn_bindgen | $GREP -vE "$filterout" | $UNIQ -u | $SORT > "$OUTPUT_DIR_BG/_NON_FILTERED" | tee -a $STATS_FILE
listfn | $GREP -vE "$filterout" | $UNIQ -u | $SORT > "$OUTPUT_DIR_SI/_NON_FILTERED" | tee -a $STATS_FILE
echo -e "\n» results generated in folder \"$OUTPUT_DIR\""
} #/generate
main() {
if [[ $CMD == "p" ]]; then
listprefixes
elif [[ $CMD == "f" ]]; then
listfn
elif [[ $CMD == "pbind" ]]; then
listprefixes_bindgen
elif [[ $CMD == "fbind" ]]; then
listfn_bindgen
elif [[ $CMD == "generate" ]]; then
generate
else
echo -e "I need an argument:"
echo -e "\tp list static inline uniq fn prefixes"
echo -e "\tf list static inline functions"
echo
echo -e "\tpbind list bindgen generated uniq fn prefixes"
echo -e "\tfbind list bindgen generated functions"
echo
echo -e "\tgenerate"
echo -e " create an output subfolder with today's date and save in there"
echo -e " a series of textfiles named by prefix, with the list of functions:"
echo -e " 1) generated by bindgen, and 2) static inline ones in notcurses.h"
echo
fi
}
main $CMD

File diff suppressed because it is too large Load Diff

File diff suppressed because it is too large Load Diff

File diff suppressed because it is too large Load Diff

File diff suppressed because it is too large Load Diff

File diff suppressed because it is too large Load Diff

File diff suppressed because it is too large Load Diff

File diff suppressed because it is too large Load Diff

@ -1,79 +0,0 @@
0d0
Differences between files:
==========================
out-20201126/bindgen/ncdirect out-20201227/bindgen/ncdirect
out-20201126/bindgen/ncpile out-20201227/bindgen/ncpile
out-20201126/bindgen/ncplane out-20201227/bindgen/ncplane
out-20201126/bindgen/ncvisual out-20201227/bindgen/ncvisual
out-20201126/bindgen/notcurses out-20201227/bindgen/notcurses
out-20201126/static/cell out-20201227/static/cell
out-20201126/static/ncplane out-20201227/static/ncplane
out-20201126/static/ncvisual out-20201227/static/ncvisual
broken down:
============
diff out-20201126/bindgen/ncdirect out-20201227/bindgen/ncdirect:
31a32,33
> ncdirect_raster_frame
> ncdirect_render_frame
diff out-20201126/bindgen/ncpile out-20201227/bindgen/ncpile:
0a1
> ncpile_bottom
3a5
> ncpile_top
diff out-20201126/bindgen/ncplane out-20201227/bindgen/ncplane:
2a3
> ncplane_at_cursor_cell
3a5
> ncplane_at_yx_cell
60a63
> ncplane_resize_maximize
diff out-20201126/bindgen/ncvisual out-20201227/bindgen/ncvisual:
9a10
> ncvisual_media_defblitter
diff out-20201126/bindgen/notcurses out-20201227/bindgen/notcurses:
6a7
> notcurses_cansextant
19a21,22
> notcurses_linesigs_disable
> notcurses_linesigs_enable
diff out-20201126/static/cell out-20201227/static/cell:
19a20
> cell_load_egc32
diff out-20201126/static/ncplane out-20201227/static/ncplane:
2,3d1
< ncplane_at_cursor_cell
< ncplane_at_yx_cell
9a8
> ncplane_descendant_p
diff out-20201126/static/ncvisual out-20201227/static/ncvisual:
1d0
< ncvisual_default_blitter
Only in one path:
=================
Only in out-20201227/bindgen: ncprogbar
Only in out-20201227/static: ncprogbar
display contents:
=================
cat out-20201227/bindgen/ncprogbar:
-------------------
ncprogbar_create
ncprogbar_destroy
ncprogbar_plane
ncprogbar_progress
ncprogbar_set_progress
cat out-20201227/static/ncprogbar:
-------------------

@ -1,104 +0,0 @@
0d0
Differences between files:
==========================
out-20201227/bindgen/ncdirect out-20210321/bindgen/ncdirect
out-20201227/bindgen/ncplane out-20210321/bindgen/ncplane
out-20201227/bindgen/notcurses out-20210321/bindgen/notcurses
out-20201227/static/cell out-20210321/static/cell
out-20201227/static/channel out-20210321/static/channel
out-20201227/static/_NON_FILTERED out-20210321/static/_NON_FILTERED
broken down:
============
diff out-20201227/bindgen/ncdirect out-20210321/bindgen/ncdirect:
1,3d0
< ncdirect_bg_default
< ncdirect_bg_palindex
< ncdirect_bg_rgb
6a4
> ncdirect_check_pixel_support
7a6
> ncdirect_core_init
21,23d19
< ncdirect_fg_default
< ncdirect_fg_palindex
< ncdirect_fg_rgb
28a25,26
> ncdirect_off_styles
> ncdirect_on_styles
32a31
> ncdirect_readline
35a35,41
> ncdirect_set_bg_default
> ncdirect_set_bg_palindex
> ncdirect_set_bg_rgb
> ncdirect_set_fg_default
> ncdirect_set_fg_palindex
> ncdirect_set_fg_rgb
> ncdirect_set_styles
diff out-20201227/bindgen/ncplane out-20210321/bindgen/ncplane:
1a2,4
> ncplane_abs_x
> ncplane_abs_y
> ncplane_abs_yx
diff out-20201227/bindgen/notcurses out-20210321/bindgen/notcurses:
2a3
> notcurses_canbraille
6a8
> notcurses_canpixel
8d9
< notcurses_cansixel
10a12,13
> notcurses_check_pixel_support
> notcurses_core_init
diff out-20201227/static/cell out-20210321/static/cell:
1d0
< cell_bchannel
11d9
< cell_fchannel
24d21
< cell_set_bchannel
31d27
< cell_set_fchannel
diff out-20201227/static/channel out-20210321/static/channel:
4a5
> channel_palindex
10a12
> channels_bg_palindex
17a20
> channel_set_palindex
22a26
> channels_fg_palindex
diff out-20201227/static/_NON_FILTERED out-20210321/static/_NON_FILTERED:
0a1
> ALLOC static inline char*
Only in one path:
=================
Only in out-20210321/bindgen: nctree
Only in out-20210321/static: nctree
display contents:
=================
cat out-20210321/bindgen/nctree:
-------------------
nctree_create
nctree_destroy
nctree_focused
nctree_goto
nctree_next
nctree_offer_input
nctree_plane
nctree_prev
nctree_redraw
cat out-20210321/static/nctree:
-------------------

@ -1,82 +0,0 @@
0d0
Differences between files:
==========================
out-20210321/bindgen/ncplane out-20210406/bindgen/ncplane
out-20210321/bindgen/notcurses out-20210406/bindgen/notcurses
out-20210321/static/ncplane out-20210406/static/ncplane
broken down:
============
diff out-20210321/bindgen/ncplane out-20210406/bindgen/ncplane:
65a66
> ncplane_resize_marginalized
diff out-20210321/bindgen/notcurses out-20210406/bindgen/notcurses:
8d7
< notcurses_canpixel
16a16
> notcurses_debug_caps
diff out-20210321/static/ncplane out-20210406/static/ncplane:
1d0
< ncplane_align
18a18
> ncplane_halign
39a40
> ncplane_valign
Only in one path:
=================
Only in out-20210406/bindgen: nctab
Only in out-20210406/static: nctab
display contents:
=================
cat out-20210406/bindgen/nctab:
-------------------
nctabbed_add
nctabbed_channels
nctabbed_content_plane
nctabbed_create
nctabbed_del
nctabbed_destroy
nctabbed_ensure_selected_header_visible
nctabbed_leftmost
nctabbed_next
nctabbed_plane
nctabbed_prev
nctabbed_redraw
nctabbed_rotate
nctabbed_select
nctabbed_selected
nctabbed_separator
nctabbed_separator_width
nctabbed_set_hdrchan
nctabbed_set_selchan
nctabbed_set_separator
nctabbed_set_sepchan
nctabbed_tabcount
nctab_cb
nctablet_ncplane
nctablet_plane
nctablet_userptr
nctab_move
nctab_move_left
nctab_move_right
nctab_name
nctab_name_width
nctab_next
nctab_prev
nctab_set_cb
nctab_set_name
nctab_set_userptr
nctab_userptr
cat out-20210406/static/nctab:
-------------------
nctabbed_hdrchan
nctabbed_selchan
nctabbed_sepchan

@ -1,60 +0,0 @@
0d0
Differences between files:
==========================
out-20210406/bindgen/ncdirect out-20210410/bindgen/ncdirect
out-20210406/bindgen/ncplane out-20210410/bindgen/ncplane
out-20210406/bindgen/ncvisual out-20210410/bindgen/ncvisual
out-20210406/static/ncplane out-20210410/static/ncplane
out-20210406/static/ncvisual out-20210410/static/ncvisual
out-20210406/static/_NON_FILTERED out-20210410/static/_NON_FILTERED
broken down:
============
diff out-20210406/bindgen/ncdirect out-20210410/bindgen/ncdirect:
42a43
> ncdirect_stream
diff out-20210406/bindgen/ncplane out-20210410/bindgen/ncplane:
4a5
> ncplane_as_rgba
46a48
> ncplane_pixelgeom
69d70
< ncplane_rgba
diff out-20210406/bindgen/ncvisual out-20210410/bindgen/ncvisual:
1a2
> ncvisual_blitter_geom
9d9
< ncvisual_geom
diff out-20210406/static/ncplane out-20210410/static/ncplane:
37a38
> ncplane_rgba
diff out-20210406/static/ncvisual out-20210410/static/ncvisual:
0a1
> ncvisual_geom
diff out-20210406/static/_NON_FILTERED out-20210410/static/_NON_FILTERED:
1a2
> __attribute__
Only in one path:
=================
Only in out-20210406/bindgen: nctablet
Only in out-20210406/static: nctablet
display contents:
=================
cat out-20210406/bindgen/nctablet:
-------------------
nctablet_ncplane
nctablet_plane
nctablet_userptr
cat out-20210406/static/nctablet:
-------------------

@ -1,29 +0,0 @@
0d0
Differences between files:
==========================
out-20210410/bindgen/cell out-20210415/bindgen/cell
out-20210410/bindgen/_NON_FILTERED out-20210415/bindgen/_NON_FILTERED
broken down:
============
diff out-20210410/bindgen/cell out-20210415/bindgen/cell:
2d1
< cell_extended_gcluster
diff out-20210410/bindgen/_NON_FILTERED out-20210415/bindgen/_NON_FILTERED:
140a141,146
> nccell_duplicate
> nccell_extended_gcluster
> nccell_load
> nccell_release
> nccells_double_box
> nccells_rounded_box
Only in one path:
=================
display contents:
=================

@ -1,62 +0,0 @@
0d0
Differences between files:
==========================
out-20210415/bindgen/ncvisual out-20210418/bindgen/ncvisual
out-20210415/static/_NON_FILTERED out-20210418/static/_NON_FILTERED
broken down:
============
diff out-20210415/bindgen/ncvisual out-20210418/bindgen/ncvisual:
9a10
> ncvisual_inflate
diff out-20210415/static/_NON_FILTERED out-20210418/static/_NON_FILTERED:
23a24,39
> __attribute__
> __attribute__
> __attribute__
> __attribute__
> __attribute__
> __attribute__
> __attribute__
> __attribute__
> __attribute__
> __attribute__
> __attribute__
> __attribute__
> __attribute__
> __attribute__
> __attribute__
> __attribute__
25a42,46
> nccell_bg_alpha
> nccell_bg_default_p
> nccell_bg_palindex
> nccell_bg_palindex_p
> nccell_bg_rgb
27a49
> nccell_double_wide_p
28a51,55
> nccell_fg_alpha
> nccell_fg_default_p
> nccell_fg_palindex
> nccell_fg_palindex_p
> nccell_fg_rgb
37a65
> nccell_set_bg_palindex
39a68
> nccell_set_bg_rgb8_clipped
41a71
> nccell_set_fg_palindex
48a79,80
> nccell_wide_left_p
> nccell_wide_right_p
Only in one path:
=================
display contents:
=================

@ -1,470 +0,0 @@
0d0
Differences between files:
==========================
out-20210418/bindgen/cell out-20210603/bindgen/cell
out-20210418/bindgen/ncblit out-20210603/bindgen/ncblit
out-20210418/bindgen/ncdirect out-20210603/bindgen/ncdirect
out-20210418/bindgen/ncplane out-20210603/bindgen/ncplane
out-20210418/bindgen/_NON_FILTERED out-20210603/bindgen/_NON_FILTERED
out-20210418/bindgen/notcurses out-20210603/bindgen/notcurses
out-20210418/bindgen/palette out-20210603/bindgen/palette
out-20210418/static/cell out-20210603/static/cell
out-20210418/static/ncplane out-20210603/static/ncplane
out-20210418/static/ncvisual out-20210603/static/ncvisual
out-20210418/static/_NON_FILTERED out-20210603/static/_NON_FILTERED
broken down:
============
diff out-20210418/bindgen/cell out-20210603/bindgen/cell:
1,5d0
< cell_duplicate
< cell_load
< cell_release
< cells_double_box
< cells_rounded_box
diff out-20210418/bindgen/ncblit out-20210603/bindgen/ncblit:
2a3,4
> ncblit_rgb_loose
> ncblit_rgb_packed
diff out-20210418/bindgen/ncdirect out-20210603/bindgen/ncdirect:
19a20,22
> ncdirectf_free
> ncdirectf_from_file
> ncdirectf_geom
20a24
> ncdirectf_render
43a48
> ncdirect_styles
46a52
> ncdirect_supported_styles
diff out-20210418/bindgen/ncplane out-20210603/bindgen/ncplane:
22a23
> ncplane_erase_region
diff out-20210418/bindgen/_NON_FILTERED out-20210603/bindgen/_NON_FILTERED:
1,6d0
< abort
< abs
< accept
< aligned_alloc
< asctime
< asctime_r
9,140d2
< atexit
< atof
< atoi
< atol
< atoll
< at_quick_exit
< bind
< bsearch
< btowc
< c16rtomb
< c32rtomb
< calloc
< clearerr
< clock
< __cmsg_nxthdr
< connect
< ctermid
< ctime
< ctime_r
< __ctype_b_loc
< __ctype_get_mb_cur_max
< __ctype_tolower_loc
< __ctype_toupper_loc
< cuserid
< difftime
< div
< drand48
< erand48
< exit
< _Exit
< fclose
< fdopen
< feof
< ferror
< fflush
< fgetc
< fgetpos
< fgets
< fgetwc
< fgetws
< fileno
< fopen
< fprintf
< fputc
< fputs
< fputwc
< fputws
< fread
< free
< freopen
< fscanf
< fscanf1
< fseek
< fsetpos
< ftell
< fwide
< fwprintf
< fwrite
< fwscanf
< fwscanf1
< getc
< getchar
< getenv
< getopt
< getpeername
< getsockname
< getsockopt
< getw
< getwc
< getwchar
< gmtime
< gmtime_r
< htonl
< htons
< isalnum
< isalpha
< isascii
< isblank
< iscntrl
< isdigit
< isgraph
< islower
< isprint
< ispunct
< isspace
< isupper
< iswalnum
< iswalpha
< iswblank
< iswcntrl
< iswctype
< iswdigit
< iswgraph
< iswlower
< iswprint
< iswpunct
< iswspace
< iswupper
< iswxdigit
< isxdigit
< jrand48
< kill
< labs
< lcong48
< ldiv
< __libc_current_sigrtmax
< __libc_current_sigrtmin
< listen
< llabs
< lldiv
< localtime
< localtime_r
< lrand48
< malloc
< mblen
< __mbrlen
< mbrlen
< mbrtoc16
< mbrtoc32
< mbrtowc
< mbsinit
< mbsrtowcs
< mbstowcs
< mbtowc
< memccpy
< memchr
< memcmp
< memcpy
< memmove
< memset
< mktime
< mrand48
146a9,12
> nccell_width
> ncpalette_free
> ncpalette_new
> ncpalette_use
148,183d13
< nrand48
< ntohl
< ntohs
< __overflow
< pclose
< perror
< popen
< printf
< putc
< putchar
< putenv
< puts
< putw
< putwc
< putwchar
< qsort
< quick_exit
< raise
< rand
< realloc
< recv
< recvfrom
< recvmsg
< remove
< rename
< rewind
< scanf
< scanf1
< seed48
< send
< sendmsg
< sendto
< setbuf
< setsockopt
< setvbuf
< shutdown
189a20
> signal
193,305d23
< snprintf
< socket
< socketpair
< sprintf
< srand
< srand48
< sscanf
< sscanf1
< strcat
< strchr
< strcmp
< strcoll
< strcpy
< strcspn
< strerror
< strftime
< strlen
< strncat
< strncmp
< strncpy
< strpbrk
< strptime
< strrchr
< strspn
< strstr
< strtod
< strtof
< strtok
< __strtok_r
< strtok_r
< strtol
< strtoll
< strtoul
< strtoull
< strxfrm
< swprintf
< swscanf
< swscanf1
< __sysconf
< system
< __sysv_signal
< tempnam
< time
< timespec_get
< tmpfile
< tmpnam
< toascii
< _tolower
< tolower
< _toupper
< toupper
< towlower
< towupper
< tzset
< __uflow
< ungetc
< ungetwc
< vfprintf
< vfscanf
< vfscanf1
< vfwprintf
< vfwscanf
< vprintf
< vscanf
< vscanf1
< vsnprintf
< vsprintf
< vsscanf
< vsscanf1
< vswprintf
< vswscanf
< vwprintf
< vwscanf
< wcrtomb
< wcscat
< wcschr
< wcscmp
< wcscoll
< wcscpy
< wcscspn
< wcsftime
< wcslen
< wcsncat
< wcsncmp
< wcsncpy
< wcspbrk
< wcsrchr
< wcsrtombs
< wcsspn
< wcsstr
< wcstod
< wcstof
< wcstok
< wcstol
< wcstoll
< wcstombs
< wcstoul
< wcstoull
< wcswcs
< wcswidth
< wcsxfrm
< wctob
< wctomb
< wctype
< wcwidth
< wmemchr
< wmemcmp
< wmemcpy
< wmemmove
< wmemset
< wprintf
< wscanf
< wscanf1
diff out-20210418/bindgen/notcurses out-20210603/bindgen/notcurses:
5a6
> notcurses_canhalfblock
7a9
> notcurses_canquadrant
14a17
> notcurses_cursor_yx
diff out-20210418/bindgen/palette out-20210603/bindgen/palette:
1,3d0
< palette256_free
< palette256_new
< palette256_use
diff out-20210418/static/cell out-20210603/static/cell:
9d8
< cell_extended_gcluster
diff out-20210418/static/ncplane out-20210603/static/ncplane:
0a1
> ncplane_align
diff out-20210418/static/ncvisual out-20210603/static/ncvisual:
0a1
> ncvisual_default_blitter
1a3
> ncvisualplane_create
diff out-20210418/static/_NON_FILTERED out-20210603/static/_NON_FILTERED:
4,39d3
< __attribute__
< __attribute__
< __attribute__
< __attribute__
< __attribute__
< __attribute__
< __attribute__
< __attribute__
< __attribute__
< __attribute__
< __attribute__
< __attribute__
< __attribute__
< __attribute__
< __attribute__
< __attribute__
< __attribute__
< __attribute__
< __attribute__
< __attribute__
< __attribute__
< __attribute__
< __attribute__
< __attribute__
< __attribute__
< __attribute__
< __attribute__
< __attribute__
< __attribute__
< __attribute__
< __attribute__
< __attribute__
< __attribute__
< __attribute__
< __attribute__
< __attribute__
80a45,87
> ncchannel_alpha
> ncchannel_b
> ncchannel_default_p
> ncchannel_g
> ncchannel_palindex
> ncchannel_palindex_p
> ncchannel_r
> ncchannel_rgb8
> ncchannels_bchannel
> ncchannels_bg_alpha
> ncchannels_bg_default_p
> ncchannels_bg_palindex
> ncchannels_bg_palindex_p
> ncchannels_bg_rgb
> ncchannels_bg_rgb8
> ncchannels_combine
> ncchannel_set
> ncchannel_set_alpha
> ncchannel_set_default
> ncchannel_set_palindex
> ncchannel_set_rgb8
> ncchannel_set_rgb8_clipped
> ncchannels_fchannel
> ncchannels_fg_alpha
> ncchannels_fg_default_p
> ncchannels_fg_palindex
> ncchannels_fg_palindex_p
> ncchannels_fg_rgb
> ncchannels_fg_rgb8
> ncchannels_set_bchannel
> ncchannels_set_bg_alpha
> ncchannels_set_bg_default
> ncchannels_set_bg_palindex
> ncchannels_set_bg_rgb
> ncchannels_set_bg_rgb8
> ncchannels_set_bg_rgb8_clipped
> ncchannels_set_fchannel
> ncchannels_set_fg_alpha
> ncchannels_set_fg_default
> ncchannels_set_fg_palindex
> ncchannels_set_fg_rgb
> ncchannels_set_fg_rgb8
> ncchannels_set_fg_rgb8_clipped
81a89,92
> ncinput_nomod_p
> ncpalette_set
> ncpalette_get_rgb8
> ncpalette_set_rgb8
Only in one path:
=================
display contents:
=================

@ -35,8 +35,6 @@ done
sed -i -e "s/v$OLDVERSION/v$VERSION/g" doc/man/index.html
sed -i -e "s/version=\"$OLDVERSION\"/version=\"$VERSION\"/" cffi/setup.py
sed -i -e "s/version=\"$OLDVERSION\"/version=\"$VERSION\"/" python/setup.py
sed -i -e "s/^version = \"$OLDVERSION\"$/version = \"$VERSION\"/" rust/Cargo.toml
sed -i -e "s/atleast_version(\"$OLDVERSION\")/atleast_version(\"$VERSION\")/" rust/build/build.rs
BUILDDIR="build-$VERSION"
@ -80,12 +78,6 @@ cd ../cffi
python3 setup.py sdist
python3 setup.py build
twine upload -s -udankamongmen dist/*
cd ../rust
cargo clean
cargo publish
cd ../tools/
./rustdoc-update-gh-pages.sh
cd "../$BUILDDIR"
cat install_manifest.txt | sudo xargs rm

@ -1,118 +0,0 @@
#!/bin/sh
#
# SCRIPT TO BUILD THE RUST DOCS FROM THE GITHUB REPO
#
# Make sure you have the notcurses dependencies installed,
# and your github credentials in order, so that you can push.
#
# This script:
# - clones the full notcurses repo inside $WORKING_DIR
# - compiles & installs notcurses inside $WORKING_DIR
# - compiles the rust documentation inside $WORKING_DIR
# - commits and pushes the new docs to the $DOCS_BRANCH branch
# - deletes $WORKING_DIR
#
# WARNING: This script:
# - Does NOT fetch the latest tag, but the master branch.
# - Does NOT check first the version in $DOCS_BRANCH, but commits always.
#
# This script is intended to be used just once per release,
# and immediately after the release is published.
#
# The decision to clone and compile everything from scratch has been made
# in order to not risk interfering with the actual working repository, since
# switching between branches can be very messy in certain situations.
#
set -e
WORKING_DIR=rustdoc-build
DOCS_BRANCH="gh-pages"
# 1. CLONE REPO & COMPILE NOTCURSES
#
# - contain everything in a subfolder
git clone git@github.com:dankamongmen/notcurses.git $WORKING_DIR
if [ $? -ne 0 ]; then
echo "ERROR cloning notcurses repo via SSH protocol."
exit
fi
cd $WORKING_DIR
rm -rf build
mkdir -p build
cd build
cmake -DCMAKE_INSTALL_PREFIX=./usr/ ..
if [ $? -ne 0 ]; then
echo "ERROR configuring notcurses with cmake."
exit
fi
make -j`nproc`
if [ $? -ne 0 ]; then
echo "ERROR compiling notcurses."
exit
fi
make install
if [ $? -ne 0 ]; then
echo "ERROR installing notcurses."
exit
fi
export PKG_CONFIG_PATH=`pwd`/usr/lib/pkgconfig
# 2. BUILD THE RUST DOCS
#
#
cd ../rust
unset CARGO_TARGET_DIR
cargo doc --no-deps
if [ $? -ne 0 ]; then
echo "ERROR building rust docs."
exit
fi
VERSION=`grep ^version Cargo.toml | cut -d'"' -f2`
# 3. UPDATE REPO
#
#
git checkout $DOCS_BRANCH
if [ $? -ne 0 ]; then
echo "ERROR switching to $DOCS_BRANCH branch."
exit
fi
cd ..
rm -rf rustdoc
mv rust/target/doc rustdoc
git add rustdoc
git commit -m "update rust docs to $VERSION"
if [ $? -ne 0 ]; then
echo "ERROR commiting version $VERSION."
exit
fi
git push
if [ $? -ne 0 ]; then
echo "ERROR pushing version $VERSION to $DOCS_BRANCH branch."
exit
fi
cd ..
rm -rf $WORKING_DIR
git pull
echo "Done!"
Loading…
Cancel
Save